com.genesyslab.wfm8.API.service.calendar850

## Interface ECalSortModes

-     public interface ECalSortModes

  Sort modes to sort Calendar data. To sort data based on configuration e.g. Agent first name, Agent Team name, or Site name,
  sort mode from Configuration service should be used `ECfgSortMode.Agent`:
  CFG_AGENT_SORT_FIRST_NAME = 2
  CFG_AGENT_SORT_LAST_NAME = 3
  CFG_AGENT_SORT_TEAM = 4
  CFG_AGENT_SORT_SITE = 8

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CAL_SORT_AGENT_TEAM_NAME` Sort by Agent's Team name
    `static int` | `CAL_SORT_ITEM_ACTUAL_STATUS` Sort by item actual (resolved) status
    `static int` | `CAL_SORT_ITEM_DATE` Sort by item date
    `static int` | `CAL_SORT_ITEM_END` Sort by item end time
    `static int` | `CAL_SORT_ITEM_NAME` Sort by item name
    `static int` | `CAL_SORT_ITEM_PAID_DURATION` Sort by item paid duration
    `static int` | `CAL_SORT_ITEM_REASON` Sort by item resolution reason text
    `static int` | `CAL_SORT_ITEM_SAVED_STATUS` Sort by item saved (DB) status
    `static int` | `CAL_SORT_ITEM_START` Sort by item start time
    `static int` | `CAL_SORT_ITEM_SUBMIT_DATE` Sort by item submit date
    `static int` | `CAL_SORT_ITEM_TYPE` Sort by item type
    `static int` | `CAL_SORT_NONE` No sort criteria

- - ### Field Detail

    - #### CAL_SORT_NONE

          static final int CAL_SORT_NONE

      No sort criteria
      See Also:
        Constant Field Values

    - #### CAL_SORT_AGENT_TEAM_NAME

          static final int CAL_SORT_AGENT_TEAM_NAME

      Sort by Agent's Team name
      See Also:
        Constant Field Values

    - #### CAL_SORT_ITEM_DATE

          static final int CAL_SORT_ITEM_DATE

      Sort by item date
      See Also:
        Constant Field Values

    - #### CAL_SORT_ITEM_TYPE

          static final int CAL_SORT_ITEM_TYPE

      Sort by item type
      See Also:
        Constant Field Values

    - #### CAL_SORT_ITEM_ACTUAL_STATUS

          static final int CAL_SORT_ITEM_ACTUAL_STATUS

      Sort by item actual (resolved) status
      See Also:
        Constant Field Values

    - #### CAL_SORT_ITEM_SAVED_STATUS

          static final int CAL_SORT_ITEM_SAVED_STATUS

      Sort by item saved (DB) status
      See Also:
        Constant Field Values

    - #### CAL_SORT_ITEM_NAME

          static final int CAL_SORT_ITEM_NAME

      Sort by item name
      See Also:
        Constant Field Values

    - #### CAL_SORT_ITEM_START

          static final int CAL_SORT_ITEM_START

      Sort by item start time
      See Also:
        Constant Field Values

    - #### CAL_SORT_ITEM_END

          static final int CAL_SORT_ITEM_END

      Sort by item end time
      See Also:
        Constant Field Values

    - #### CAL_SORT_ITEM_REASON

          static final int CAL_SORT_ITEM_REASON

      Sort by item resolution reason text
      See Also:
        Constant Field Values

    - #### CAL_SORT_ITEM_PAID_DURATION

          static final int CAL_SORT_ITEM_PAID_DURATION

      Sort by item paid duration
      See Also:
        Constant Field Values

    - #### CAL_SORT_ITEM_SUBMIT_DATE

          static final int CAL_SORT_ITEM_SUBMIT_DATE

      Sort by item submit date
      See Also:
        Constant Field Values

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.